org.eclipse.oomph.targlets

## Interface PluginGenerator

- All Superinterfaces:
    EObject, IUGenerator, ModelElement, Notifier
  All Known Implementing Classes:
    PluginGeneratorImpl

      public interface PluginGenerator
      extends IUGenerator

  A representation of the model object 'Plugin Generator'.
  See Also:
    `TargletPackage.getPluginGenerator()`
  Generated
  Model

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.targlets.IUGenerator

      `DEFAULTS`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.oomph.targlets.IUGenerator

      `generateIUs, modifyIU`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html